## GstVaapiDisplayWayland GstVaapiDisplayWayland — VA/Wayland display abstraction |

## Functions

GstVaapiDisplay * | gst_vaapi_display_wayland_new ()
GstVaapiDisplay * | gst_vaapi_display_wayland_new_with_display ()
struct wl_display * | gst_vaapi_display_wayland_get_display ()

## Description

## Functions

### gst_vaapi_display_wayland_new ()

    GstVaapiDisplay *
    gst_vaapi_display_wayland_new (const gchar *display_name);

Opens an Wayland wl_display using `display_name` and returns a newly allocated GstVaapiDisplay object. The Wayland display will be cloed when the reference count of the object reaches zero.

#### Parameters

display_name | the Wayland display name |

#### Returns

a newly allocated GstVaapiDisplay object

### gst_vaapi_display_wayland_new_with_display ()

    GstVaapiDisplay *
    gst_vaapi_display_wayland_new_with_display
                                   (struct wl_display *wl_display);

Creates a GstVaapiDisplay based on the Wayland `wl_display` display. The caller still owns the display and must call `wl_display_disconnect()` when all GstVaapiDisplay references are released. Doing so too early can yield undefined behaviour.

#### Parameters

wl_display | an Wayland wl_display |

#### Returns

a newly allocated GstVaapiDisplay object

### gst_vaapi_display_wayland_get_display ()

    struct wl_display *
    gst_vaapi_display_wayland_get_display (GstVaapiDisplayWayland *display);

Returns the underlying Wayland wl_display that was created by `gst_vaapi_display_wayland_new()` or that was bound from `gst_vaapi_display_wayland_new_with_display()`.

#### Parameters

display | a GstVaapiDisplayWayland |

#### Returns

the Wayland wl_display attached to `display`

## Types and Values